Subject: Re: bug#37739: System install issue: 'You have a memory leak'

From: "Seswu M. Fafnan" <[email-masked]>
Date: Thu, 17 Oct 2019 08:22:04 +0200

Hello Ludovic,

Yes, I did did a similar install - in fact I was simply 'continuing' the install manually from the point where the graphical install failed.

So, I was using the config file that the graphic config had produced.
I still am.
There is some complaints from the package manager about localization, and also something about putting my .guix-profile directory into an environment variable. I've tried to figure out what the latter is about, but I don't know how it is -supposed- to work, so I'm not sure what to do about it. From what I hear on irc, the profile and probably everything in the .guix-profile dir is repeatedly generated, which means it's not -there- I should correct things probably. So I'm a bit confused on that point.
I also have some trouble with the window manager I chose, i3. It seems it didn't fully install. It's called up, and works.. the status bar didn't though, not until I installed it manually, and I still haven't gotten dmenu to work properly.

Regardless.. those three things are probably besides the point/bug. The system got up and started, it works, I can log into it, and if I knew what I was doing I could probably remedy the remaining things in a snap.

I've attached the config file I used. (generated by the graphical installer)

Uffe

 On Wed, 16 Oct 2019 22:30:57 +0200
Ludovic Courtès <[email-masked]> wrote:

> Hi Seswu,
> 
> "Seswu M. Fafnan" <[email-masked]> skribis:
> 
> > Late in the evening, with help from leoprikler at irc #guix, a workaround was found; going manual, which had until then been too overwhelming for me to face.
> > I just wrote a bit on that as extra information to the bug report, but will quote it below also.
> >
> > Reproduction is to use the graphical installer; from the beginning:
> > English, Denmark, Graphical installer;
> > Europe, Copenhagen, Danish, Danish (no dead keys)
> > Guided - entire disk with encryption
> > ATA scsi (choosing my harddisk)
> > Everything is one partition
> >
> > Resulting partitioning scheme looked like:
> > /dev/sda
> > 	/boot/efi
> > 		576MB fat32
> > 		boot,esp
> > 	/
> > 		1000GB ext4
> > 		cryptroot
> >
> > I did not encounter the same problem doing the population manually.
> > The output from the manual command and from the graphical install is not the same, so I can't really compare what happened blow-by-blow.
> > I tried the graphical approach thrice, getting the issue, then following advice did the manual command - actually in an attempt to secure the screen output - and it worked the first time I did it.
> 
> So doing a similar installation using the “manual” installation process
> worked, right?
> 
> Did you end up with an OS config file different from the one produced by
> the graphical installer?  Could you post that config file that
> eventually worked so we can compare it to what the installer produces?
> 
> Thanks for the update!
> 
> Ludo’.

-- 
Seswu M. Fafnan <[email-masked]>